#!/usr/bin/env bash
source ./funcs.sh

if [ "$(id -u)" -ne 0 ]; then
  exit 1
fi

#ignore_ats=true

# 更新ats
if ./updateKit env bool install_ats; then
  systemctl stop trafficserver

  if [ -x /opt/ats/bin/trafficserver ]; then
    /opt/ats/bin/trafficserver stop || {
      exit 70
    }
  fi

  installAtsFiles
  installNodeServiceFile
  update_os_search_path
  install_bbr

  systemctl restart trafficserver
fi

# 更新node golang
if ./updateKit env bool install_cdnnode_golang; then
  if ./node -version &>/dev/null; then
    mv /opt/ats/bin/node{,.bak}
    bash install.sh || {
      exit_code=$?
      mv /opt/ats/bin/{node.bak,node}
      rm /opt/ats/bin/node.bak
      exit $exit_code
    }

    sleep 2

    systemctl reload node.service
  else
    exit
  fi
fi

# 更新ip文件
if ./updateKit env bool install_ip_resource; then
  install_ip_resource $(take_ip_resource)
fi

exit 0
